changeset 3309:ad7894a4ab41

[xemacs-hg @ 2006-03-27 21:00:01 by james] Fix ALSA detection by detecting a header file with no dependencies. See xemacs-patches message with ID <m3vetzvc39.fsf@jerrypc.cs.usu.edu>.
author james
date Mon, 27 Mar 2006 21:00:13 +0000
parents 34cfe24248f6
children c01934aeb3bd
files ChangeLog configure configure.ac
diffstat 3 files changed, 143 insertions(+), 139 deletions(-) [+]
line wrap: on
line diff
--- a/ChangeLog	Mon Mar 27 17:40:59 2006 +0000
+++ b/ChangeLog	Mon Mar 27 21:00:13 2006 +0000
@@ -1,3 +1,7 @@
+2006-03-27  Jerry James  <james@xemacs.org>
+
+	* configure.ac: Repair ALSA detection.
+
 2006-03-24  Jerry James  <james@xemacs.org>
 
 	* configure.ac: Autodetect ALSA support and report it if detected.
--- a/configure	Mon Mar 27 17:40:59 2006 +0000
+++ b/configure	Mon Mar 27 21:00:13 2006 +0000
@@ -35584,144 +35584,144 @@
 fi
 
 if test "$enable_sound_alsa" != "no"; then
-  if test "${ac_cv_header_alsa_pcm_h+set}" = set; then
-  echo "$as_me:$LINENO: checking for alsa/pcm.h" >&5
-echo $ECHO_N "checking for alsa/pcm.h... $ECHO_C" >&6
-if test "${ac_cv_header_alsa_pcm_h+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-fi
-echo "$as_me:$LINENO: result: $ac_cv_header_alsa_pcm_h" >&5
-echo "${ECHO_T}$ac_cv_header_alsa_pcm_h" >&6
-else
-  # Is the header compilable?
-echo "$as_me:$LINENO: checking alsa/pcm.h usability" >&5
-echo $ECHO_N "checking alsa/pcm.h usability... $ECHO_C" >&6
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-$ac_includes_default
-#include <alsa/pcm.h>
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"
-			 || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  ac_header_compiler=yes
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-ac_header_compiler=no
-fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
-echo "${ECHO_T}$ac_header_compiler" >&6
-
-# Is the header present?
-echo "$as_me:$LINENO: checking alsa/pcm.h presence" >&5
-echo $ECHO_N "checking alsa/pcm.h presence... $ECHO_C" >&6
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-#include <alsa/pcm.h>
-_ACEOF
-if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
-  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } >/dev/null; then
-  if test -s conftest.err; then
-    ac_cpp_err=$ac_c_preproc_warn_flag
-    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
-  else
-    ac_cpp_err=
-  fi
-else
-  ac_cpp_err=yes
-fi
-if test -z "$ac_cpp_err"; then
-  ac_header_preproc=yes
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-  ac_header_preproc=no
-fi
-rm -f conftest.err conftest.$ac_ext
-echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
-echo "${ECHO_T}$ac_header_preproc" >&6
-
-# So?  What about this header?
-case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
-  yes:no: )
-    { echo "$as_me:$LINENO: WARNING: alsa/pcm.h: accepted by the compiler, rejected by the preprocessor!" >&5
-echo "$as_me: WARNING: alsa/pcm.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
-    { echo "$as_me:$LINENO: WARNING: alsa/pcm.h: proceeding with the compiler's result" >&5
-echo "$as_me: WARNING: alsa/pcm.h: proceeding with the compiler's result" >&2;}
-    ac_header_preproc=yes
-    ;;
-  no:yes:* )
-    { echo "$as_me:$LINENO: WARNING: alsa/pcm.h: present but cannot be compiled" >&5
-echo "$as_me: WARNING: alsa/pcm.h: present but cannot be compiled" >&2;}
-    { echo "$as_me:$LINENO: WARNING: alsa/pcm.h:     check for missing prerequisite headers?" >&5
-echo "$as_me: WARNING: alsa/pcm.h:     check for missing prerequisite headers?" >&2;}
-    { echo "$as_me:$LINENO: WARNING: alsa/pcm.h: see the Autoconf documentation" >&5
-echo "$as_me: WARNING: alsa/pcm.h: see the Autoconf documentation" >&2;}
-    { echo "$as_me:$LINENO: WARNING: alsa/pcm.h:     section \"Present But Cannot Be Compiled\"" >&5
-echo "$as_me: WARNING: alsa/pcm.h:     section \"Present But Cannot Be Compiled\"" >&2;}
-    { echo "$as_me:$LINENO: WARNING: alsa/pcm.h: proceeding with the preprocessor's result" >&5
-echo "$as_me: WARNING: alsa/pcm.h: proceeding with the preprocessor's result" >&2;}
-    { echo "$as_me:$LINENO: WARNING: alsa/pcm.h: in the future, the compiler will take precedence" >&5
-echo "$as_me: WARNING: alsa/pcm.h: in the future, the compiler will take precedence" >&2;}
-    (
-      cat <<\_ASBOX
-## ------------------------------------- ##
-## Report this to xemacs-beta@xemacs.org ##
-## ------------------------------------- ##
-_ASBOX
-    ) |
-      sed "s/^/$as_me: WARNING:     /" >&2
-    ;;
-esac
-echo "$as_me:$LINENO: checking for alsa/pcm.h" >&5
-echo $ECHO_N "checking for alsa/pcm.h... $ECHO_C" >&6
-if test "${ac_cv_header_alsa_pcm_h+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  ac_cv_header_alsa_pcm_h=$ac_header_preproc
-fi
-echo "$as_me:$LINENO: result: $ac_cv_header_alsa_pcm_h" >&5
-echo "${ECHO_T}$ac_cv_header_alsa_pcm_h" >&6
-
-fi
-if test $ac_cv_header_alsa_pcm_h = yes; then
+  if test "${ac_cv_header_alsa_input_h+set}" = set; then
+  echo "$as_me:$LINENO: checking for alsa/input.h" >&5
+echo $ECHO_N "checking for alsa/input.h... $ECHO_C" >&6
+if test "${ac_cv_header_alsa_input_h+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+fi
+echo "$as_me:$LINENO: result: $ac_cv_header_alsa_input_h" >&5
+echo "${ECHO_T}$ac_cv_header_alsa_input_h" >&6
+else
+  # Is the header compilable?
+echo "$as_me:$LINENO: checking alsa/input.h usability" >&5
+echo $ECHO_N "checking alsa/input.h usability... $ECHO_C" >&6
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+$ac_includes_default
+#include <alsa/input.h>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+  (eval $ac_compile) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; } &&
+	 { ac_try='test -s conftest.$ac_objext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  ac_header_compiler=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ac_header_compiler=no
+fi
+rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
+echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+echo "${ECHO_T}$ac_header_compiler" >&6
+
+# Is the header present?
+echo "$as_me:$LINENO: checking alsa/input.h presence" >&5
+echo $ECHO_N "checking alsa/input.h presence... $ECHO_C" >&6
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <alsa/input.h>
+_ACEOF
+if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
+  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } >/dev/null; then
+  if test -s conftest.err; then
+    ac_cpp_err=$ac_c_preproc_warn_flag
+    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
+  else
+    ac_cpp_err=
+  fi
+else
+  ac_cpp_err=yes
+fi
+if test -z "$ac_cpp_err"; then
+  ac_header_preproc=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+  ac_header_preproc=no
+fi
+rm -f conftest.err conftest.$ac_ext
+echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6
+
+# So?  What about this header?
+case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
+  yes:no: )
+    { echo "$as_me:$LINENO: WARNING: alsa/input.h: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: alsa/input.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
+    { echo "$as_me:$LINENO: WARNING: alsa/input.h: proceeding with the compiler's result" >&5
+echo "$as_me: WARNING: alsa/input.h: proceeding with the compiler's result" >&2;}
+    ac_header_preproc=yes
+    ;;
+  no:yes:* )
+    { echo "$as_me:$LINENO: WARNING: alsa/input.h: present but cannot be compiled" >&5
+echo "$as_me: WARNING: alsa/input.h: present but cannot be compiled" >&2;}
+    { echo "$as_me:$LINENO: WARNING: alsa/input.h:     check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: alsa/input.h:     check for missing prerequisite headers?" >&2;}
+    { echo "$as_me:$LINENO: WARNING: alsa/input.h: see the Autoconf documentation" >&5
+echo "$as_me: WARNING: alsa/input.h: see the Autoconf documentation" >&2;}
+    { echo "$as_me:$LINENO: WARNING: alsa/input.h:     section \"Present But Cannot Be Compiled\"" >&5
+echo "$as_me: WARNING: alsa/input.h:     section \"Present But Cannot Be Compiled\"" >&2;}
+    { echo "$as_me:$LINENO: WARNING: alsa/input.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: alsa/input.h: proceeding with the preprocessor's result" >&2;}
+    { echo "$as_me:$LINENO: WARNING: alsa/input.h: in the future, the compiler will take precedence" >&5
+echo "$as_me: WARNING: alsa/input.h: in the future, the compiler will take precedence" >&2;}
+    (
+      cat <<\_ASBOX
+## ------------------------------------- ##
+## Report this to xemacs-beta@xemacs.org ##
+## ------------------------------------- ##
+_ASBOX
+    ) |
+      sed "s/^/$as_me: WARNING:     /" >&2
+    ;;
+esac
+echo "$as_me:$LINENO: checking for alsa/input.h" >&5
+echo $ECHO_N "checking for alsa/input.h... $ECHO_C" >&6
+if test "${ac_cv_header_alsa_input_h+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_cv_header_alsa_input_h=$ac_header_preproc
+fi
+echo "$as_me:$LINENO: result: $ac_cv_header_alsa_input_h" >&5
+echo "${ECHO_T}$ac_cv_header_alsa_input_h" >&6
+
+fi
+if test $ac_cv_header_alsa_input_h = yes; then
 
     echo "$as_me:$LINENO: checking for snd_pcm_open in -lasound" >&5
 echo $ECHO_N "checking for snd_pcm_open in -lasound... $ECHO_C" >&6
--- a/configure.ac	Mon Mar 27 17:40:59 2006 +0000
+++ b/configure.ac	Mon Mar 27 21:00:13 2006 +0000
@@ -5131,7 +5131,7 @@
 
 dnl ALSA sound support
 if test "$enable_sound_alsa" != "no"; then
-  AC_CHECK_HEADER([alsa/pcm.h], [
+  AC_CHECK_HEADER([alsa/input.h], [
     AC_CHECK_LIB(asound, snd_pcm_open, have_alsa_sound=yes)])
   if test "$have_alsa_sound" = "yes"; then
     enable_sound_alsa=yes